/*
 * Class ARRAYED_STACK [INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2101 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2101 [] = {0xFF01,1551,2100,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2101 [] = {0xFF01,2100,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2101 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2101 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2101 [] = {0xFF01,2100,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2101 [] = {0xFF01,2100,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2101 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2101 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2101 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2101 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2101 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2101 [] = {2100,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2101 [] = {0xFF01,2100,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2101 [] = {0xFF01,1670,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2101 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2101 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2101 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_2101 [] = {0xFF01,1668,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_2101 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_2101 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_2101 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_2101 [] = {0xFF01,1668,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_2101 [] = {0xFF01,1669,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_2101 [] = {0xFF01,2100,869,0xFFFF};
static const EIF_TYPE_INDEX egt_25_2101 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_2101 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_2101 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_28_2101 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_2101 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_2101 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_31_2101 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_32_2101 [] = {0xFF01,2100,869,0xFFFF};
static const EIF_TYPE_INDEX egt_33_2101 [] = {0xFF01,1662,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_34_2101 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_35_2101 [] = {0xFF01,610,0xFFFF};
static const EIF_TYPE_INDEX egt_36_2101 [] = {0xFF01,603,0xFFFF};
static const EIF_TYPE_INDEX egt_37_2101 [] = {0xFF01,2100,869,0xFFFF};


static const struct desc_info desc_2101[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2101), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2101), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13962, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2101), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13989, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2101), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2101), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2101), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2101), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2101), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2101), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2101), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2101), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2101), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2101), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2101), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13950, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9205, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8609, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8610, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8611, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8612, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2101), 14792, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2101), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2101), 13943, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9341, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9342, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9079, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13982, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14791, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2101), 13943, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12064, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13969, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13952, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13953, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13954, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13955, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_2101), 10431, 0},
	{EIF_GENERIC(NULL), 10424, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10425, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_2101), 10426, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_2101), 10427, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10428, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10429, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10430, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_2101), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12373, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13939, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13940, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13941, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_2101), 13942, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_2101), 13951, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13956, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13957, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13958, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13959, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13967, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13987, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13935, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13936, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_2101), 13937, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13948, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12052, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13975, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13948, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12055, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_2101), 8778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12457, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13970, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13971, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_2101), 13944, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_2101), 12056, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13965, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_2101), 13944, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_2101), 13945, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13965, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13977, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13977, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12369, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13963, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13966, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14789, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14788, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9351, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13990, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13992, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13930, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13978, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9343, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9343, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12055, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13960, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9359, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13961, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9397, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_2101), 13946, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_2101), 13947, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13968, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13973, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12062, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12063, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12065, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12066, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13931, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_2101), 13933, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8775, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8774, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12458, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13972, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8776, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9400, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9401, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9396, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9398, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13986, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13988, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_2101), 11011, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_2101), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9249, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13979, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13991, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13932, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_2101), 13017, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_2101), 13949, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13964, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13974, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13976, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13980, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13981, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13983, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13984, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13928, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13929, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_2101), 13934, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init2101(void)
{
	IDSC(desc_2101, 0, 2100);
	IDSC(desc_2101 + 1, 1, 2100);
	IDSC(desc_2101 + 32, 1134, 2100);
	IDSC(desc_2101 + 41, 1060, 2100);
	IDSC(desc_2101 + 47, 1534, 2100);
	IDSC(desc_2101 + 54, 1422, 2100);
	IDSC(desc_2101 + 63, 658, 2100);
	IDSC(desc_2101 + 64, 288, 2100);
	IDSC(desc_2101 + 79, 1444, 2100);
	IDSC(desc_2101 + 88, 1570, 2100);
	IDSC(desc_2101 + 91, 916, 2100);
	IDSC(desc_2101 + 97, 1135, 2100);
	IDSC(desc_2101 + 106, 387, 2100);
	IDSC(desc_2101 + 108, 309, 2100);
	IDSC(desc_2101 + 110, 778, 2100);
	IDSC(desc_2101 + 111, 554, 2100);
	IDSC(desc_2101 + 112, 878, 2100);
	IDSC(desc_2101 + 113, 1395, 2100);
	IDSC(desc_2101 + 115, 636, 2100);
	IDSC(desc_2101 + 129, 1245, 2100);
	IDSC(desc_2101 + 132, 586, 2100);
	IDSC(desc_2101 + 138, 1088, 2100);
	IDSC(desc_2101 + 140, 1628, 2100);
	IDSC(desc_2101 + 143, 617, 2100);
	IDSC(desc_2101 + 145, 254, 2100);
	IDSC(desc_2101 + 148, 340, 2100);
	IDSC(desc_2101 + 156, 794, 2100);
}


#ifdef __cplusplus
}
#endif
